library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_unsigned.all;


entity MUL113 is
	Generic ( N : positive := 108;
			  M : positive := 5
			);
    Port ( a : in  STD_LOGIC_VECTOR (M-1 downto 0);
		   b : in  STD_LOGIC_VECTOR (N-1 downto 0);
		   p : out  STD_LOGIC_VECTOR (M+N-1 downto 0));
end MUL113;

architecture Behavioral of MUL113 is


begin
	p <= a*b;
end Behavioral;

