clear all; close all; clc; 



% Parametres convertisseur A/N
n_10=10;
n_3=3;
max_10=2^n_10-1;    % 1023
max_3=2^n_3-1;      % 7
V_max=5;            % Amplitude maxe du signal

% Exemple du signal  l'entree (sin) analogique 
N=1e3; 
t=linspace(0,2*pi,N);
sin_t=V_max*(sin(t)+1)*0.5;

% Signal acqui par le convertisseur A/N d'Arduino
Val_10=sin_t*max_10/V_max;
Val_10=round(Val_10(:));

% Conversion en 10 bits en 3 bits 
Val_3=Val_10*max_3/max_10;
Val_3=round(Val_3(:));

% Affichage 
subplot(311); plot(t,sin_t,'r'); xlim([t(1) t(end)]); ylim([0 max(sin_t)]);
xlabel('Temps(s)'); ylabel('sin(t)');grid on; 

subplot(312); plot(t,Val_10,'r'); xlim([t(1) t(end)]); ylim([0 max(Val_10)]);
xlabel('Temps(s)'); ylabel('Val_{10}(t)');grid on; 

subplot(313); plot(t,Val_3,'r'); xlim([t(1) t(end)]); ylim([0 max(Val_3)]);
xlabel('Temps(s)'); ylabel('Val_{3}(t)');grid on; 
