// SOrtie PWM
int To_Moteur_PWM = 9; 

// Entree potentiometre
int Potent_pin = A0; 
int val_Pot = 0;      
float val_reel = 0.0;      

// Sortie To FPGA
int To_FPGA_pin_1 = 2; 
int To_FPGA_pin_2 = 3; 
int To_FPGA_pin_3 = 4; 

// Donnees from FPGA
int From_FPGA_pin_1 = A1; 
int From_FPGA_pin_2 = A2; 
int From_FPGA_pin_3 = A3; 
int From_FPGA_pin_4 = A4; 
int From_FPGA_pin_5 = A5; 
int From_FPGA_pin_6 = A6; 
int From_FPGA_pin_7 = A7; 
     
int val = 0;      

int val_0 = 0;
int val_1 = 0;
int val_2 = 0;
int val_3 = 0;
int val_4 = 0;
int val_5 = 0;
int val_6 = 0;
   
void setup()
{
	// Sorties 
	pinMode(To_FPGA_pin_1, OUTPUT);  
	pinMode(To_FPGA_pin_2, OUTPUT);  
	pinMode(To_FPGA_pin_3, OUTPUT);  
	pinMode(To_Moteur_PWM, OUTPUT);  

	// Seria port 
	Serial.begin(9600);
}

void loop()
{
	// Lecture entrees FPGA 
	val=ReadFromFPGA();
	
	//Generation PWM/
	analogWrite(To_Moteur_PWM, (val+1)*2-1);  

	//Lecture Pot /
	val_Pot = analogRead(Potent_pin);
	val_reel=floor(double(val_Pot)*7.0/1023.0);
	
	// Envoie 3 bits au FPGA /
	WriteToFPGA(val_reel);
	
	// Display data Serial port 
	/*
        Serial.print("\n Data FPGA = " );
	Serial.print(val);
	Serial.print("\n Data Poto = " );
	Serial.print(val_reel);
        delay(1000);
        */
}

int ReadFromFPGA()
{	
	int val_tmp=0; 
	
	// Bit 0 
	val_0 = analogRead(From_FPGA_pin_1);
	if (val_0 > 512) 
	{
		val_0 =1;
	}
	else 
	{
		val_0=0; 
	}
	
	// Bit 1 
	val_1 = analogRead(From_FPGA_pin_2);
	if (val_1 > 512) 
	{
		val_1 =2;
	}
	else 
	{
		val_1=0; 
	}
	
	// Bit 2 
	val_2 = analogRead(From_FPGA_pin_3);
	if (val_2 > 512) 
	{
		val_2 =4;
	}
	else 
	{
		val_2=0; 
	} 
	
	// Bit 3 
	val_3 = analogRead(From_FPGA_pin_3);
	if (val_3 > 512) 
	{
		val_3 =8;
	}
	else 
	{
		val_2=0; 
	} 
	
	// Bit 4 
	val_4 = analogRead(From_FPGA_pin_5);
	if (val_4 > 512) 
	{
		val_4 =16;
	}
	else 
	{
		val_4=0; 
	} 
	
	// Bit 5 
	val_5 = analogRead(From_FPGA_pin_6);
	if (val_5 > 512) 
	{
		val_5 =32;
	}
	else 
	{
		val_5=0; 
	}  
	
	// Bit 6 
	val_6 = analogRead(From_FPGA_pin_7);
	if (val_6 > 512) 
	{
		val_6 =64;
	}
	else 
	{
		val_6=0; 
	}  
	
	// Resultat
	val_tmp = val_0+val_1+val_2+val_3+val_4+val_5+val_6; 
	
	// Return 
	return val_tmp;
}

void WriteToFPGA(int val_reel_tmp)
{
	if (val_reel_tmp==0){		
		digitalWrite(To_FPGA_pin_1, HIGH);	// 000
		digitalWrite(To_FPGA_pin_2, LOW);
		digitalWrite(To_FPGA_pin_3, LOW);}
	else if (val_reel_tmp==1){		
		digitalWrite(To_FPGA_pin_1, HIGH);	// 001
		digitalWrite(To_FPGA_pin_2, LOW);
		digitalWrite(To_FPGA_pin_3, LOW);}
	else if (val_reel_tmp==2){
		digitalWrite(To_FPGA_pin_1, LOW);	// 010
		digitalWrite(To_FPGA_pin_2, HIGH);
		digitalWrite(To_FPGA_pin_3, LOW);}
	else if (val_reel_tmp==3){
		digitalWrite(To_FPGA_pin_1, HIGH);	// 011
		digitalWrite(To_FPGA_pin_2, HIGH);
		digitalWrite(To_FPGA_pin_3, LOW);}
	else if (val_reel_tmp==4){
		digitalWrite(To_FPGA_pin_1, LOW);	// 100
		digitalWrite(To_FPGA_pin_2, LOW);
		digitalWrite(To_FPGA_pin_3, HIGH);}
	else if (val_reel_tmp==5){
		digitalWrite(To_FPGA_pin_1, HIGH);	// 101
		digitalWrite(To_FPGA_pin_2, LOW);
		digitalWrite(To_FPGA_pin_3, HIGH);}
	else if (val_reel_tmp==6){
		digitalWrite(To_FPGA_pin_1, LOW);	// 110
		digitalWrite(To_FPGA_pin_2, HIGH);
		digitalWrite(To_FPGA_pin_3, HIGH);}
	else if (val_reel_tmp==7){
		digitalWrite(To_FPGA_pin_1, HIGH);	// 110
		digitalWrite(To_FPGA_pin_2, HIGH);
		digitalWrite(To_FPGA_pin_3, HIGH);}
	else{
		digitalWrite(To_FPGA_pin_1, HIGH);	// Autres
		digitalWrite(To_FPGA_pin_2, LOW);
		digitalWrite(To_FPGA_pin_3, LOW);
	}
}

